LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XStringResourceResolver Interface Reference

Interface to access strings in a resource. More...

`import"XStringResourceResolver.idl";`

Inheritance diagram for XStringResourceResolver:

## Public Member Functions
string | resolveString ([in] string ResourceID) raises ( com::sun::star::resource::MissingResourceException )
| Resolves the passed ResourceID for the current locale. More...
string | resolveStringForLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::resource::MissingResourceException )
| Resolves the passed ResourceID for a specific locale. More...
boolean | hasEntryForId ([in] string ResourceID)
| Checks if the resource contains an entry for the given ResourceID and current locale. More...
boolean | hasEntryForIdAndLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale)
| Checks if the resource contains an entry for the given ResourceID and locale. More...
sequence< string > | getResourceIDs ()
| Returns a sequence of all valid Resource IDs for the current locale. More...
sequence< string > | getResourceIDsForLocale ([in] com::sun::star::lang::Locale locale)
| Returns a sequence of all valid Resource IDs for a specific locale. More...
com::sun::star::lang::Locale | getCurrentLocale ()
| Returns the current locale specified in the accessed resource. More...
com::sun::star::lang::Locale | getDefaultLocale ()
| Returns the default locale of the accessed resource. More...
sequence< com::sun::star::lang::Locale > | getLocales ()
| Returns a sequence of all supported locales. More...
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to access strings in a resource.

The interface is derived from com::sun::star::util::XModifyBroadcaster

All registered com::sun::star::util::XModifyListener interfaces will be notified if either the current locale changes or if a string is added, changed or removed. This usually will only happen if the implementing object also supports the interface com::sun::star::resource::XStringResourceManager and is used in the design mode of a Dialog or String table editor. But also changing the locale at runtime can be supported in this way.

## Member Function Documentation

## ◆ getCurrentLocale()

com::sun::star::lang::Locale getCurrentLocale | ( |  | ) |

Returns the current locale specified in the accessed resource.

If no locale is available, the returned Locale structure only contains empty strings.

Returns
  the used locale

## ◆ getDefaultLocale()

com::sun::star::lang::Locale getDefaultLocale | ( |  | ) |

Returns the default locale of the accessed resource.

In many cases this will be the locale of the Office initially used to create the resource.

Returns
  the used locale

## ◆ getLocales()

sequence< com::sun::star::lang::Locale > getLocales | ( |  | ) |

Returns a sequence of all supported locales.

Returns
  a sequence of all supported locales

## ◆ getResourceIDs()

sequence< string > getResourceIDs | ( |  | ) |

Returns a sequence of all valid Resource IDs for the current locale.

Returns
  a sequence of all valid Resource IDs

## ◆ getResourceIDsForLocale()

sequence< string > getResourceIDsForLocale | ( | [in] com::sun::star::lang::Locale | locale | ) |

Returns a sequence of all valid Resource IDs for a specific locale.

It's not recommended to use this method to get the best performance as the implementation may be optimized for the use of the current locale.

Parameters

  locale | The locale the ResourceIDs should be returned for. The locale has to match exactly with one of the locales provided by getLocales(). A closest match search is not supported.

Returns
  a sequence of all valid Resource IDs

## ◆ hasEntryForId()

boolean hasEntryForId | ( | [in] string | ResourceID | ) |

Checks if the resource contains an entry for the given ResourceID and current locale.

Parameters

  ResourceID | ID to specify the string inside the resource.

Returns
  `TRUE` if an entry exists, otherwise `FALSE`

## ◆ hasEntryForIdAndLocale()

boolean hasEntryForIdAndLocale | ( | [in] string | ResourceID,
|  | [in] com::sun::star::lang::Locale | locale
| ) |  |

Checks if the resource contains an entry for the given ResourceID and locale.

It's not recommended to use this method to get the best performance as the implementation may be optimized for the use of the current locale.

Parameters

  ResourceID | ID to specify the string inside the resource.
  locale | The locale the entry should be checked for. The locale has to match exactly with one of the locales provided by getLocales(). A closest match search is not supported.

Returns
  `TRUE` if an entry exists, otherwise `FALSE`

## ◆ resolveString()

string resolveString | ( | [in] string | ResourceID | ) |
raises | ( | com::sun::star::resource::MissingResourceException
| ) |  |

Resolves the passed ResourceID for the current locale.

This locale is set during initialization of the object implementing this interface or - in case that also the interface com::sun::star::resource::XStringResourceManager is supported - by using the `XStringResourceManager::setLocale` method.

Parameters

  ResourceID | ID to specify the string inside the resource. The ID can - but not needs to - be a hierarchical name like "foo.nothing.invalid".

Returns
  the localized string for the specified ID

Exceptions

  com::sun::star::resource::MissingResourceException | if no entry exists for the given ResourceID

## ◆ resolveStringForLocale()

string resolveStringForLocale | ( | [in] string | ResourceID,
|  | [in] com::sun::star::lang::Locale | locale
| ) |  |
raises | ( | com::sun::star::resource::MissingResourceException
| ) |  |

Resolves the passed ResourceID for a specific locale.

It's not recommended to use this method to get the best performance as the implementation may be optimized for the use of the current locale.

Parameters

  ResourceID | ID to specify the string inside the resource. The ID can - but not needs to - be a hierarchical name like "foo.nothing.invalid".
  locale | The locale the string should be resolved for. The locale has to match exactly with one of the locales provided by getLocales(). A closest match search is not supported.

Returns
  the localized string for the specified ID and Locale

Exceptions

  com::sun::star::resource::MissingResourceException | if no entry exists for the given ResourceID or locale

The documentation for this interface was generated from the following file:

- com/sun/star/resource/XStringResourceResolver.idl